Subject: Re: Heirochloe Odorata

From: [email-masked] (Conrad Richter)
Date: Sun, 09 Jul 95 00:08:12 EDT

[email-masked] (Plannerguy) writes:

> Does anyone know how I can get my hands on some seed for Hierochloe
> Odorata?  If so please e-mail me with the details.  Thank you.  Guy at
> [email-masked]

This is sweetgrass and it is very much in demand these days because of 
its importance in native American Indian culture.  I have never seen 
seeds available, or we would have them for sale.  We have plants 
available, however.  

Conrad Richter

RICHTERS HERBS                     | Info:                 [email-masked]
Goodwood, ON  L0C 1A0, Canada      | Catalog Requests:  [email-masked]
Tel +1-905-640-6677  Fax 640-6641  | What's New for '95:    [email-masked]